Name:          libv4l
Version:       1.0.1
Release:       1mamba
Summary:       Collection of video4linux support libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.linuxtv.org/downloads/v4l-utils/
Source0:       http://www.linuxtv.org/downloads/v4l-utils/v4l-utils-%{version}.tar.bz2
Source1:       qv4l2.desktop
Source2:       qv4l2.svg
License:       GPL, LGPL
BuildRequires: desktop-file-utils
BuildRequires: kernelheaders
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsysfs-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libv4l is a collection of libraries which adds a thin abstraction layer on top of video4linux2 devices. The purpose of this (thin) layer is to make it easy for application writers to support a wide variety of devices without having to write separate code for different devices in the same class. libv4l consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
libv4lconvert offers functions to convert from any (known) pixelformat to V4l2_PIX_FMT_BGR24 or V4l2_PIX_FMT_YUV420.
libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent of the drivers for those devices supporting v4l1 compatibility (which many v4l2 drivers do not).
libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the application transparent libv4lconvert conversion where necessary.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for libv4l
Requires:      libv4l = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libv4l is a collection of libraries which adds a thin abstraction layer on top of video4linux2 devices.

This package contains libraries and header files need for developing applications that use libv4l.

%package -n v4l-utils
Group:         System/Multimedia
Summary:       Utilities for video4linux and DVB devices
Requires:      libv4l = %{?epoch:%epoch:}%{version}-%{release}

%description -n v4l-utils
v4l-utils is a collection of various video4linux (V4L) and DVB utilities. The
main v4l-utils package contains cx18-ctl, ir-keytable, ivtv-ctl, v4l2-ctl and
v4l2-sysfs-path.

%package -n v4l-dev-tools
Group:         Development/Tools
Summary:       Utilities for v4l2 / DVB driver development and debugging
Requires:      libv4l = %{?epoch:%epoch:}%{version}-%{release}

%description -n v4l-dev-tools
Utilities for v4l2 / DVB driver authors: decode_tm6000, v4l2-compliance and
v4l2-dbg.

%package -n qv4l2
Group:         Graphical Desktop/Applications/Multimedia
Summary:       QT v4l2 test control and streaming test application
Requires:      libv4l = %{?epoch:%epoch:}%{version}-%{release}

%description -n qv4l2
QT v4l2 test control and streaming test application.

%prep
%setup -q -n v4l-utils-%{version}

%build
%configure \
   --enable-libdvbv5

%make
#  CFLAGS="$RPM_OPT_FLAGS" \
#  CXXFLAGS="$RPM_OPT_FLAGS" \
#  PREFIX=%{_prefix} \
#  LIBDIR=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#  PREFIX=%{_prefix} \
#  LIBDIR=%{_libdir}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -pm 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n qv4l2
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n qv4l2
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n qv4l2
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_libdir}/libv4l1.so.*
%{_libdir}/libv4l2.so.*
%{_libdir}/libv4l2rds.so.*
%{_libdir}/libv4lconvert.so.*
%{_libdir}/libdvbv5.so.*
%{_libdir}/v4l1compat.so
%{_libdir}/v4l2convert.so
%dir %{_libdir}/libv4l
%dir %{_libdir}/libv4l/plugins
%{_libdir}/libv4l/plugins/libv4l-mplane.la
%{_libdir}/libv4l/plugins/libv4l-mplane.so
%{_libdir}/libv4l/ov511-decomp
%{_libdir}/libv4l/ov518-decomp
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
/lib/udev/rc_keymaps/*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libv4l1.a
%{_libdir}/libv4l1.la
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.a
%{_libdir}/libv4l2.la
%{_libdir}/libv4l2.so
%{_libdir}/libv4lconvert.a
%{_libdir}/libv4lconvert.la
%{_libdir}/libv4lconvert.so
%{_libdir}/libdvbv5.a
%{_libdir}/libdvbv5.la
%{_libdir}/libdvbv5.so
%{_libdir}/libv4l2rds.a
%{_libdir}/libv4l2rds.la
%{_libdir}/libv4l2rds.so
%{_libdir}/libv4l/v4l1compat.la
%{_libdir}/libv4l/v4l2convert.la
%{_libdir}/pkgconfig/libv4l1.pc
%{_libdir}/pkgconfig/libv4l2.pc
%{_libdir}/pkgconfig/libv4lconvert.pc
%{_libdir}/pkgconfig/libdvbv5.pc
%{_libdir}/pkgconfig/libv4l2rds.pc
%doc README.lib-multi-threading TODO ChangeLog

%files -n v4l-utils
%defattr(-,root,root)
%dir %{_sysconfdir}/rc_keymaps
%config(noreplace) %{_sysconfdir}/rc_maps.cfg
/lib/udev/rules.d/70-infrared.rules
%{_bindir}/cx18-ctl
%{_bindir}/dvb-fe-tool
%{_bindir}/dvb-format-convert
%{_bindir}/dvbv5-scan
%{_bindir}/dvbv5-zap
%{_bindir}/ir-keytable
%{_bindir}/ivtv-ctl
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_mandir}/man1/ir-keytable.1.gz

%files  -n v4l-dev-tools
%defattr(-,root,root)
%{_bindir}/decode_tm6000
%{_bindir}/v4l2-compliance
%{_sbindir}/v4l2-dbg
#%{_bindir}/capture-example
#%{_bindir}/driver-test
#%{_bindir}/ioctl-test
#%{_bindir}/pixfmt-test
%{_bindir}/rds-ctl
#%{_bindir}/sliced-vbi-detect
#%{_bindir}/sliced-vbi-test
#%{_bindir}/stress-buffer
#%{_bindir}/v4l2grab
#%{_bindir}/v4lgrab
#%{_bindir}/vbi-test

%files -n qv4l2
%defattr(-,root,root)
%{_bindir}/qv4l2
%{_datadir}/applications/qv4l2.desktop
%{_datadir}/icons/hicolor/*/apps/qv4l2.png
%{_datadir}/icons/hicolor/scalable/apps/qv4l2.svg

%changelog
* Sun Feb 23 2014 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic update by autodist

* Wed Aug 07 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic update by autodist

* Sun Apr 21 2013 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic version update by autodist

* Sat Mar 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.6-1mamba
- update to 0.8.6

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic version update by autodist

* Fri Jun 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Tue Mar 22 2011 gil <puntogil@libero.it> 0.8.3-1mamba
- update to 0.8.3
- add new sub package: qv4l2, v4l-utils, v4l-dev-tools

* Thu Sep 17 2009 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic update by autodist

* Mon Jul 13 2009 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic update by autodist

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 0.5.99-1mamba
- automatic update by autodist

* Sun Apr 19 2009 Automatic Build System <autodist@mambasoft.it> 0.5.97-1mamba
- automatic update by autodist

* Sat Apr 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.9-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.8-1mamba
- automatic update by autodist

* Tue Dec 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.7-1mamba
- automatic update by autodist

* Tue Oct 28 2008 gil <puntogil@libero.it> 0.3.7-1mamba
- package created by autospec
